Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132421 - Avoid usage of Deployment.getDefaultServerInstanceID()
Avoid usage of Deployment.getDefaultServerInstanceID()
Status: RESOLVED FIXED
Product: soa
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Srinivasan Chikkala
issues@soa
:
Depends on:
Blocks: 83934
  Show dependency treegraph
 
Reported: 2008-04-09 15:31 UTC by Petr Hejl
Modified: 2008-07-30 01:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2008-04-09 15:31:30 UTC
Class: IcanproProjectGenerator

The concept of default server is broken and does not work for a while.

This concept was abandoned since it did not work
anymore. The problem could occur for example if the default server was Tomcat
then the EJB project, which was set to use the default server could not be
deployed to it, etc.

You should use Deployment.getServerInstanceIDs() method to pick
a server they should be deployed to based on the projects requirements.

See issue 83934.
Comment 1 Venkat Chellasamy 2008-04-09 23:31:46 UTC
target for 6.5 based on umbrella ticket 83934
Comment 2 Jun Qian 2008-04-22 00:58:39 UTC
We can probably remove the usage of Deployment.getDefaultServerInstanceID() in the base project 'cause it doesn't do
anything (returns null).
Comment 3 Srinivasan Chikkala 2008-07-30 01:51:26 UTC
Removed deprecated j2ee server api usage in IcanproProjectGenerator.

hg -v out

searching for changes
changeset:   93250:d2160975b09d
tag:         tip
user:        Srinivasan Chikkala <chikkala@netbeans.org>
date:        Tue Jul 29 17:45:44 2008 -0700
files:       compapp.projects.base/src/org/netbeans/modules/compapp/projects/base/IcanproProjectGenerator.java
description:
fix for issue 132421


Comment 4 Srinivasan Chikkala 2008-07-30 01:53:27 UTC
hg -v out

searching for changes
changeset:   93250:d2160975b09d
tag:         tip
user:        Srinivasan Chikkala <chikkala@netbeans.org>
date:        Tue Jul 29 17:45:44 2008 -0700
files:       compapp.projects.base/src/org/netbeans/modules/compapp/projects/base/IcanproProjectGenerator.java
description:
fix for issue 132421


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo